
       identification division.
       program-id.Opgave-15.
       author.
       date-written.
       environment division.
       configuration section.
       source-computer.PC.
       object-computer.PC.
       data division.
       working-storage section.
           01 datum.
              03 jaar pic 99.
              03 maand pic 99.
              03 dag pic 99.
           01 ndatum.
              03 ndag pic 99/.
              03 nmaand pic 99/.
              03 njaar pic 99.
            01 selecteren.
               03 selection PIC 9.

       screen section.
           copy"OEF15_TXT.TXT".

       procedure division.

       hoofdprogramma.
           deel-1.
           display G-OEF15
           accept datum from date
           move dag to ndag
           move maand to nmaand
           move jaar to njaar
           display ndatum at 0355
           accept selection at 1937
           if selection=1 perform prog1
           end-if
           if selection=2 perform prog2
           end-if
           if selection=3 perform prog3
           end-if
           if selection=4 perform prog4
           end-if
           if selection=5 perform prog5
           end-if
           if selection=6 perform prog6
           end-if
           if selection=7 perform prog7
           end-if
           if selection=8 perform prog8
           end-if
           if selection=9 perform prog9
           end-if
           .
       prog1.
           display spaces upon crt
           call "oef12a" using ndatum
           display spaces upon crt
           perform deel-1
           .
       prog2.
           display spaces upon crt
           call "oef12b" using ndatum
           display spaces upon crt
           perform deel-1
           .
       prog3.
           display spaces upon crt
           call "oef12c" using ndatum
           display spaces upon crt
           perform deel-1
           .
       prog4.
           display spaces upon crt
           call "oef12d" using ndatum
           display spaces upon crt
           perform deel-1
           .
       prog5.
           display spaces upon crt
           call "oef13a" using ndatum
           display spaces upon crt
           perform deel-1
           .
       prog6.
           display spaces upon crt
           call "oef13b" using ndatum
           display spaces upon crt
           perform deel-1
           .
       prog7.
           display spaces upon crt
           call "oef13c" using ndatum
           display spaces upon crt
           perform deel-1
           .
       prog8.
           display spaces upon crt
           call "oef13d" using ndatum
           display spaces upon crt
           perform deel-1
           .
       prog9.
           display spaces upon crt
           call "oef12a" using ndatum
           display spaces upon crt
           perform deel-1
           .



